checkerboard <- function(seed=123, m=8) {
    par(mfrow=c(2,2))
    set.seed(seed)
    n <- m^2
    s <- rep(0:(m-1), each=m)/m
    t <- rep(0:(m-1), times=m)/m  
    x <- runif(n, s + 1/(m*10), s + 9/(m*10)) 
    y <- runif(n, t + 1/(m*10), t + 9/(m*10))
    plot(x, y, pch=20, xaxs="i", yaxs="i", xlim=0:1, ylim=0:1)
    x <- runif(n);  y = runif(n)
    plot(x, y, pch=20, xaxs="i", yaxs="i", xlim=0:1, ylim=0:1)

    set.seed(seed)
    s <- rep(0:(m-1), each=m)/m
    t <- rep(0:(m-1), times=m)/m
    
    x <- runif(n, s + 1/(m*10), s + 9/(m*10))
    y <- runif(n, t + 1/(m*10), t + 9/(m*10))
    plot(x, y, pch=20, xaxs="i", yaxs="i", xlim=0:1, ylim=0:1)
    abline(h = (1:(m-1))/m, col="green")
    abline(v = (1:(m-1))/m, col="green")
    x=runif(n);  y = runif(n)
    plot(x, y, pch=20, xaxs="i", yaxs="i", xlim=0:1, ylim=0:1)
    abline(h = (1:(m-1))/m, col="green")
    abline(v = (1:(m-1))/m, col="green")
    invisible()
}
