coinflip <- function() {
    grid.newpage()
    vp <- viewport(height=.9, width=.9)
    pushViewport(vp)
    grid.circle(gp=gpar(fill="grey"))
    flip <- sample(0:1, size=1)
    if (flip == 0) {
        outcome <- textGrob("Heads", .5, .5, gp=gpar(col="green", cex=5), name="outcome")
    } else {  
        outcome <- textGrob("Tails", .5, .5, gp=gpar(col="red", cex=5), name="outcome")
    }
    grid.draw(outcome)
    Ntails <- flip
    Nheads <- 1 - flip
    again <- readline("Do you want to flip the coin again? (y)es or (n)o \n")
    while (again == "y" | again == "Y") {
        flip <- sample(0:1, size=1)
        Ntails <- Ntails + flip
        Nheads <- Nheads + 1 - flip

        if (flip == 0) {
            grid.edit("outcome", label="Heads", name="outcome") 
        } else {
            grid.edit("outcome", label="Tails", name="outcome") 
        }
        again <- readline("Do you want to flip the coin again? (y)es or (n)o \n")
    }
cat("Number of Tails: ", Ntails, "\nNumber of Heads: ", Nheads, "\n")
}
