dice <- function(ndice=1, plot=TRUE, nrolls=1) {
    if (plot == TRUE) {
    if (ndice > 2) stop("Number of dice is limited to 2 at a time.")
    grid.newpage()
    dicedots <- function(n) {
        if (n%%2 == 1) grid.circle(r=.1, gp=gpar(fill="black"))
        if (n > 1) { 
            vp <- viewport(.25, .75, h=.5, w=.5)
            pushViewport(vp)
            grid.circle(r=.2, gp=gpar(fill="black"))
            upViewport()
            vp <- viewport(.75, .25, h=.5, w=.5)
            pushViewport(vp)
            grid.circle(r=.2, gp=gpar(fill="black"))
            upViewport()
        }
        if (n > 3) {
            vp <- viewport(.75, .75, h=.5, w=.5)
            pushViewport(vp)
            grid.circle(r=.2, gp=gpar(fill="black"))
            upViewport()
            vp <- viewport(.25, .25, h=.5, w=.5)
            pushViewport(vp)
            grid.circle(r=.2, gp=gpar(fill="black"))
            upViewport()
        }
        if (n==6) {
            vp <- viewport(.25, .5, h=.5, w=.5)
            pushViewport(vp)
            grid.circle(r=.2, gp=gpar(fill="black"))
            upViewport()
            vp <- viewport(.75, .5, h=.5, w=.5)
            pushViewport(vp)
            grid.circle(r=.2, gp=gpar(fill="black"))
            upViewport()
        }
    }
    numbers <- sample(1:6,size=ndice,rep=TRUE)
    outcomes <- sum(numbers)
    for (i in 1:ndice) {
        pushViewport(viewport(.25+(i-1)*.5, .5, w=.3, h=.3))
        grid.rect()
        dicedots(numbers[i])
        upViewport()
    }
    again <- readline("Do you want to roll again? (y)es or (n)o \n")
    while (again == "y" | again == "Y") {
    grid.newpage()
    numbers <- sample(1:6,size=ndice,rep=TRUE)
    for (i in 1:ndice) {
        pushViewport(viewport(.25+(i-1)*.5, .5, w=.3, h=.3))
        grid.rect()
        dicedots(numbers[i])
        upViewport()
    }
        again <- readline("Do you want to roll again? (y)es or (n)o \n")
    outcomes <- c(outcomes, sum(numbers))
    }
} else {
    outcomes <- numeric(nrolls)
    for (i in 1:nrolls) {
    outcomes[i] <- sum(sample(1:6, replace=TRUE, size=ndice))
    }
}
cat("\n")
table(outcomes)
}

