rectangles <-
function(nrow=2, ncol=2, col="white", nrowsmall=1, ncolsmall=1,
        colsmall="white", ulcornerx=1, ulcornery=1) {
    grid.newpage()
    vp <- viewport(.5, .5, w=.8, h=.8)
    pushViewport(vp)
    vp1 <- viewport(.5, .5, min(ncol/nrow, 1), min(nrow/ncol,1))
    pushViewport(vp1)
    vp2 <- viewport(layout=grid.layout(nrow,ncol))
    pushViewport(vp2)
    grid.rect()
    for (i in 1:ncol) {
    for (j in 1:nrow) {
        vp3 <- viewport(layout.pos.col=i, layout.pos.row=j)
        pushViewport(vp3)
        grid.rect(gp=gpar(fill=col))
        upViewport()
        }
    }
    for (i in ((1:ncolsmall)+ulcornerx-1)) {
    for (j in ((1:nrowsmall)+ulcornery-1)) {
        vp3 <- viewport(layout.pos.col=i, layout.pos.row=j)
        pushViewport(vp3)
        grid.rect(gp=gpar(fill=colsmall))
        upViewport()
        }
    }
        upViewport()
        upViewport()
        upViewport()
}

