\name{pictogram}
\alias{pictogram}
\title{
Pictogram Plot
}
\description{
This is a plotting function for a pictogram version of a bar chart.
}
\arguments{
  \item{x}{a single vector, preferably with named elements,
which contains the counts or frequencies
}
  \item{shape}{the pictogram shape used in the bar chart; default
is a solid red triangle
}
  \item{color}{the color used for the pictogram shape
}
  \item{label}{a character string describing the
data set, used in the plot title
}
  \item{linetype}{a numeric object specifying the type of line
to be used the points are joined
}
  \item{gp}{additional graphical parameters
}
}
\value{
a horizontal pictogram plot
}
\author{
W. John Braun
}
\examples{
toys <- c(cars = 10, trains = 1, videogames = 3, actionfigures = 5)
pictogram(toys, shape=star)
}
\keyword{graphics}

