spinPoints3D <- function(x,y,z,theta=.1,alpha=.1,beta=.1,n=100) {
    translatescale <- function(x) {
        (x - min(x))/(max(x)-min(x))
    }
    xy <- list(x=translatescale(x),y=translatescale(y),z=translatescale(z))
grid.point3D <- function(x,y,z) {grid.points(x, y, pch=16, size=unit(.01, "npc"), 
    vp=viewport(height=.9^z, width=.5^z))}
grid.points3D <- function(x,y,z) {
    n <- length(x)
    for (i in 1:n) {
    grid.point3D(x[i],y[i],z[i])
}
invisible()
}
rotate.points3D <- function(x,y,z,theta,alpha,beta) {
    xnew <- cos(theta)*(x-.5) + sin(theta)*(y-.5)
    ynew <- - sin(theta)*(x-.5) + cos(theta)*(y-.5)
    x <- xnew + .5
    y <- ynew + .5
    ynew <- cos(alpha)*(y-.5) + sin(alpha)*(z-.5)
    znew <- - sin(alpha)*(y-.5) + cos(alpha)*(z-.5)
    y <- ynew + .5
    z <- znew + .5
    xnew <- cos(beta)*(x-.5) + sin(beta)*(z-.5)
    znew <- - sin(beta)*(x-.5) + cos(beta)*(z-.5)
    x <- xnew + .5
    z <- znew + .5
    list(x=x, y=y, z=z)
}
    for (i in 1:n) {
        grid.newpage()
        xy <- rotate.points3D(xy$x,xy$y,xy$z,theta,alpha,beta)
        grid.points3D(xy$x,xy$y,xy$z)
        continue <- readline("Continue?")
        if (continue == "n" | continue == "N") break
}
invisible()
}
