spinner <- function() {
    grid.newpage()
    vp <- viewport(height=.9, width=.9)
    grid.circle(gp=gpar(fill="yellow"))
    grid.text("North", .5, .75, gp=gpar(col="blue", cex=5))
    grid.text("South", .5, .25, gp=gpar(col="red", cex=5))
    grid.text("West", .25, .5, gp=gpar(col="green", cex=5))
    grid.text("East", .75, .5, gp=gpar(col="orange", cex=5))
    vp <- viewport(angle=45)
    pushViewport(vp)
    grid.lines(x=c(0,1),y=c(.5,.5))
    grid.lines(x=c(.5,.5), y=c(0,1))
    arrowGrob <- linesGrob(x=c(.5, .8), y=c(.5,.8), name="arrow", arrow=arrow(),
        gp=gpar(col="purple", lwd=10))
    arrow1Grob <- editGrob(arrowGrob, vp=viewport(angle=sample(1:360, size=1)),
        name="arrow1")
    grid.draw(arrow1Grob)
    again <- readline("Do you want to spin again? (y)es or (n)o \n")
    while (again == "y" | again == "Y") {
        grid.edit("arrow1", vp=viewport(angle=sample(1:360, size=1)), name="arrow1")
        again <- readline("Do you want to spin again? (y)es or (n)o \n")
    }
invisible()
}
