\name{MonopolySim}
\alias{MonopolySim}
\title{
Monopoly Game Simulator
}
\description{
Simulation of moves of a single player around a color-coded board.  
}
\usage{
MonopolySim(Nplays = 1, Override = FALSE) 
}
\arguments{
  \item{Nplays}{Number of rolls of a pair of dice.
}
  \item{Override}{If TRUE, all moves will be shown.  If FALSE, all moves will be shown
only if Nplays is less than 11. 
}
}
\value{
  A histogram showing the frequency that a single player will land on any of the 40 locations
around the color-coded board.
}
\author{
W. John Braun
}

\examples{
MonopolySim(5) 
MonopolySim(5000) 
}
\keyword{models}
