\name{checkerboard}
\alias{checkerboard}
\title{
Random Patterns on a Checkerboard??
}
\description{
This function jitters points on a grid giving what might
appear to be a random pattern.  This is compared with a
completely random pattern.  When the actual grid is
laid over both plots, it should become clear which pattern
is completely random and which one is actually quite
structured.
}
\usage{
checkerboard(seed = 123, m = 8)
}
\arguments{
  \item{seed}{
This sets the seed for the pseudorandom number generator.
}
  \item{m}{
This is the length of a side of the grid.  The number
of grid squares mxm. 
}
}
\details{
Looking at the top two point patterns which are
plotted when the function is called, a student
is asked which pattern is ``completely random''.  The
temptation might be to say that the left-most pattern
is.  When the grid is overlaid as shown in the bottom
two plots, it can be seen that exactly one point lies
in each grid cell in the left-most plot, an event
with very low probability.  
}
\value{
A graph.
}
\author{An anonymous, but thoughtful, referee.}
\examples{
checkerboard(seed=489, m=5)
}
\keyword{models}
